Skip site navigation (1) Skip section navigation (2)

Re: ruby-postgres module needs work, maintainer

From: Jeff Davis <pgsql(at)j-davis(dot)com>
To: Bruce Momjian <bruce(at)momjian(dot)us>
Cc: "Joshua D(dot) Drake" <jd(at)commandprompt(dot)com>, pgsql-interfaces(at)postgresql(dot)org
Subject: Re: ruby-postgres module needs work, maintainer
Date: 2007-01-25 22:10:45
Message-ID: 1169763045.20694.147.camel@dogma.v10.wvs (view raw or flat)
Thread:
Lists: pgsql-interfaces
On Thu, 2007-01-25 at 15:18 -0500, Bruce Momjian wrote:
> > ruby-postgres != plruby
> 
> Oops, sorry.  I got confused.  I also have not heard from the
> ruby-postgres guy, but as a community we are less likely to have heard
> from him because interfaces are more independent.
> 

I finally did reach the ruby-postgres guy. He said he would incorporate
my patches. 

I'd like a real release (that becomes a gem), because the current ruby-
postgres release is not sufficient (in a number of ways), and I got at
least one response from someone who literally skipped PostgreSQL support
in their app because of it:

http://groups.google.com/group/comp.lang.ruby/msg/450c15cb3848129b

I expect there will be more patches also. Hopefully we can get this up
to speed.

I've been informed that the Ruby community's gem releases are heavily
dependent on rubyforge. Without involvement of the rubyforge ruby-
postgres project, releases would have to be under a different name
(which would mean changing client code -- not desirable). This is my
understanding, anyway.

Regards,
	Jeff Davis


In response to

Responses

pgsql-interfaces by date

Next:From: Bruce MomjianDate: 2007-01-25 22:13:28
Subject: Re: ruby-postgres module needs work, maintainer
Previous:From: Bruce MomjianDate: 2007-01-25 20:18:43
Subject: Re: ruby-postgres module needs work, maintainer

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group